=== debian/control ===
Source: xine-ui
Section: graphics
Priority: optional
Maintainer: Siggi Langauf <siggi@debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper (>> 4.0.0), libxine-dev (>= 1-rc8), libpng-dev, libx11-dev, libxext-dev, libxft-dev, libxinerama-dev, libxt-dev, libxtst-dev, libxv-dev, libxxf86vm-dev, x-dev, libaa1-dev, libgpmg1-dev (>> 1.19.6) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], liblircclient-dev, libcurl3-gnutls-dev, libfreetype6-dev, libreadline5-dev | libreadline-dev, libcaca-dev, autotools-dev
Build-Conflicts: libcurl3-openssl-dev
Standards-Version: 3.7.2

Package: xine-ui
Architecture: any
Depends: ${shlibs:Depends}
Recommends: ${shlibs:Recommends}
Suggests: ${shlibs:Suggests}
Description: the xine video player, user interface 
 This is an X11 based GUI for the libxine video player library.
 It provides xine, a skin based media player that can play all the
 audio/video formats that libxine supports. Currently, this includes MPEG1/2,
 some AVI and Quicktime files, some network streaming methods and disc based
 media (VCD, SVCD, DVD). A more complete list can be found on
 http://xinehq.de/index.php/features/.
 .
 This package contains an additional front end, aaxine, which runs even on the
 console. aaxine uses aalib to render ASCII art video, or you can tell it to
 use a framebuffer device. This is more a proof of concept, but you can use it
 to watch DVDs on your old vt100 terminal, of course. ;-)
 .
 Most DVDs on the market today are play-protected by the Content Scrambling
 System (CSS). Xine does not provide any code to descramble those DVDs,
 because of legal uncertainties. Have a look at
 /usr/share/doc/xine-ui/README.Debian for more information!
